Bug 804824 - Review Request: jboss-jsp-2.2-api - JavaServer(TM) Pages 2.2 API
Review Request: jboss-jsp-2.2-api - JavaServer(TM) Pages 2.2 API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
: 804823 (view as bug list)
Depends On:
Blocks: 805468 806011 806018
  Show dependency treegraph
 
Reported: 2012-03-19 16:35 EDT by Anthony Sasadeusz
Modified: 2012-04-11 21:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: jboss-jsp-2.2-api-1.0.1-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 13:49:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anthony Sasadeusz 2012-03-19 16:35:52 EDT
Spec URL: <http://home.comcast.net/~asasadeusz/jboss-jsp-2.2-api/jboss-jsp-2.2-api.spec>
SRPM URL: <http://home.comcast.net/~asasadeusz/jboss-jsp-2.2-api/jboss-jsp-2.2-api-1.0.1-1.fc18.src.rpm>
Description: The JSP API used by the JBOSS project.
Comment 1 Anthony Sasadeusz 2012-03-19 16:39:20 EDT
*** Bug 804823 has been marked as a duplicate of this bug. ***
Comment 2 Marek Goldmann 2012-03-19 16:56:27 EDT
Taking it.
Comment 3 Marek Goldmann 2012-03-20 09:25:49 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

$ rpmlint SPECS/jboss-jsp-2.2-api.spec
SPECS/jboss-jsp-2.2-api.spec: W: invalid-url Source0: jboss-jsp-2.2-api-1.0.1.Final.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
$ rpmlint SRPMS/jboss-jsp-2.2-api-1.0.1-1.fc17.src.rpm 
jboss-jsp-2.2-api.src: I: enchant-dictionary-not-found en_US
jboss-jsp-2.2-api.src: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jboss-jsp-2.2-api.src: W: invalid-url Source0: jboss-jsp-2.2-api-1.0.1.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
$ rpmlint RPMS/noarch/jboss-jsp-2.2-api-1.0.1-1.fc17.noarch.rpm 
jboss-jsp-2.2-api.noarch: I: enchant-dictionary-not-found en_US
jboss-jsp-2.2-api.noarch: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jboss-jsp-2.2-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-jsp-2.2-api-1.0.1/LICENSE
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

Upstream was contacted about the FSF address.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.
License type: CDDL or GPLv2 with exceptions

See #3.

[!]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

See #5.

[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : a6a1e75dabe717ed931bfb39506cdad7
MD5SUM upstream package: a6a1e75dabe717ed931bfb39506cdad7
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

local, F17

=== Issues ===
1. Summary is not filled. Look at the POM for idea, I propose: "JavaServer(TM) Pages 2.2 API".
2. Title of the bug is wrong, the second part should be equal to Summary field in the spec. Please correct that after fixing the spec file.
3. License should be "CDDL or GPLv2 with exceptions"
4. Expand description to "JSR-000245: JavaServer(TM) Pages 2.2". Taken from pom.xml file.
5. Add LICENSE and README files to javadoc subpackage. Normally only license file go into subpackages, but in this case README also contains legal info.

=== Final Notes ===
1. It's better to use %global and define namedversion as it was in the cleanup queue. This way if you bump the release afterwards you'll have to change things only in one place, not spread overall.
2. Changelog formatting - please add a new line after each entry, like other packages have.


Please fix above issues by not overriding the previous files, thanks!
Comment 6 Marek Goldmann 2012-03-22 07:06:04 EDT
Looks good now. You misunderstood #2. Please change the title of the bug to this: "Review Request: jboss-jsp-2.2-api - JavaServer(TM) Pages 2.2 API".

Afterwards I'll approve the package and sponsor you.
Comment 7 Marek Goldmann 2012-03-22 13:15:57 EDT
Thanks!

================
*** APPROVED ***
================
Comment 8 Marek Goldmann 2012-03-22 13:19:48 EDT
Anthony, I sponsored you, congrats! Please follow the next steps: http://fedoraproject.org/wiki/Package_Review_Process#Contributor
Comment 9 Anthony Sasadeusz 2012-03-23 01:15:07 EDT
New Package SCM Request
=======================
Package Name: jboss-jsp-2.2-api
Short Description: JavaServer(TM) Pages 2.2 API
Owners: cerberus
Branches: f17
InitialCC: mgoldmann
Comment 10 Anthony Sasadeusz 2012-03-23 01:16:02 EDT
New Package SCM Request
=======================
Package Name: jboss-jsp-2.2-api
Short Description: JavaServer(TM) Pages 2.2 API
Owners: cerberus
Branches: f17
InitialCC: mgoldmann
Comment 11 Anthony Sasadeusz 2012-03-23 02:04:25 EDT
New Package SCM Request
=======================
Package Name: jboss-jsp-2.2-api
Short Description: JavaServer(TM) Pages 2.2 API
Owners: sasadeu1
Branches: f17
InitialCC: mgoldmann
Comment 12 Anthony Sasadeusz 2012-03-23 02:20:09 EDT
New Package SCM Request
=======================
Package Name: jboss-jsp-2.2-api
Short Description: JavaServer(TM) Pages 2.2 API
Owners: cerberus
Branches: f17
InitialCC: mgoldmann
Comment 13 Marek Goldmann 2012-03-23 07:28:28 EDT
Anthony, in SCM request you should always use FAS usernames, as described here: http://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages

My FAS username is "goldmann", please change (yes, by adding a new comment) the InitialCC field.
Comment 14 Gwyn Ciesla 2012-03-23 08:47:50 EDT
Git done (by process-git-requests).

Fixed initialcc.
Comment 15 Marek Goldmann 2012-03-23 08:57:34 EDT
Thanks Jon!

Anthony, you can now proceed with importing the package: http://fedoraproject.org/wiki/Using_git_FAQ_for_package_maintainers#How_do_I_import_a_SRPM_package.3F

More on using Fedora Git: http://fedoraproject.org/wiki/Using_Fedora_GIT
Comment 16 Fedora Update System 2012-03-28 04:37:02 EDT
jboss-jsp-2.2-api-1.0.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-jsp-2.2-api-1.0.1-3.fc17
Comment 17 Fedora Update System 2012-04-11 21:51:05 EDT
jboss-jsp-2.2-api-1.0.1-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.